<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <title><?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	if ( $paged >= 2 || $page >= 2 )
	echo ' | ' . sprintf( __( 'Page %s', 'themetext' ), max( $paged, $page ) );?></title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        
       <!-- IE6-8 support of HTML5 elements -->
        <!--[if lt IE 9]>
        <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        <!--[if lte IE 8]>
    	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/resources/css/ie.css" />
		<![endif]-->
        
        <!-- Favicon and Apple Touch Icons -->
        <link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/resources/ico/favicon.png">
        <link href="<?php echo get_template_directory_uri(); ?>/style.css" rel="stylesheet">
        <link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php echo get_template_directory_uri(); ?>/resources/ico/apple-touch-icon-144-precomposed.png">
        <link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo get_template_directory_uri(); ?>/resources/ico/apple-touch-icon-114-precomposed.png">
        <link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo get_template_directory_uri(); ?>/resources/ico/apple-touch-icon-72-precomposed.png">
        <link rel="apple-touch-icon-precomposed" href="<?php echo get_template_directory_uri(); ?>/resources/ico/apple-touch-icon-57-precomposed.png">
		<link href='http://fonts.googleapis.com/css?family=Abril+Fatface' rel='stylesheet' type='text/css'>
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() && get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); } ?>
<?php wp_head(); ?>       
    </head>

	<body <?php body_class(); ?>>

<header>
<div class="box3">
    <div class="container">
    	<div class="logo">
                    	<a href="<?php echo home_url(); ?>">
                        <img src="<?php echo get_option('of_logo'); ?>" alt="<?php bloginfo('name');?>" />
                        </a>
         </div>
            <div id="menu" class="menu">
            	<nav>
<?php wp_nav_menu( array( 'menu' => 'main', 'menu_id' => 'menu', 'menu_class' => '', 'container' => false, 'depth' => 0 ) ); ?>
				</nav>
    		</div>

	</div>
</div>
</header>